n9153 n9153 - 2 months ago 20
Android Question

Not able to generate signed apk. Proguard throwing error

I am successfully able to generate the debug apk of my Android app. But while generating a signed version I get the message:

Warning:there were 1 unresolved references to library class members.
You probably need to update the library versions.
(http://proguard.sourceforge.net/manual/troubleshooting.html#unresolvedlibraryclassmember)
Warning:Exception while processing task java.io.IOException: Please correct the above warnings first.

:app:transformClassesAndResourcesWithProguardForRelease FAILED
Error:Execution failed for task

':app:transformClassesAndResourcesWithProguardForRelease'.


java.io.IOException: Please correct the above warnings first.


Following is the list of my project dependencies:

dependencies {
compile 'ch.acra:acra:4.5.0'
compile project(':androidHorizontalListView')
compile 'cz.msebera.android:httpclient:4.4.1.1'
compile 'com.android.support:multidex:1.0.0'
compile 'com.facebook.android:facebook-android-sdk:4.7.0'
compile 'com.android.support:appcompat-v7:24.0.0'
compile 'com.github.bumptech.glide:glide:3.5.2'
compile 'com.google.android.gms:play-services:8.3.0'
compile 'com.mikhaellopez:circularimageview:3.0.2'
compile 'com.android.support:design:24.0.0'
compile 'com.github.danylovolokh:hashtag-helper:1.1.0'
compile 'com.android.support:support-v4:24.0.0'
compile 'pl.droidsonroids.gif:android-gif-drawable:1.1.+'
compile 'com.android.support:cardview-v7:24.0.0'
compile 'com.android.support:recyclerview-v7:24.0.0'
}

Answer

methodscount.com shows, that Acra (v 4.5.0) depends on:

org.json:json:20080701

You have two choices:

  1. Update Acra to version 4.7.0

or

  1. Add this dependency
Comments